Altibase.jdbc.driver.cm

## Class CmShardAnalyzeResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmStatementIdResult
    - - Altibase.jdbc.driver.cm.CmShardAnalyzeResult

    public class CmShardAnalyzeResult
    extends CmStatementIdResult

### Field Summary

Fields
`static byte` `MY_OP`

### Constructor Summary

Constructors
Constructor and Description
`CmShardAnalyzeResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addShardSubValue(ShardValueInfo aShardValueInfo)`
`void` `addShardValue(ShardValueInfo aShardValueInfo)`
`boolean` `canMerge()`
`protected byte` `getResultOp()`
`int` `getShardDefaultNodeID()`
`ShardKeyDataType` `getShardKeyDataType()`
`int` `getShardRangeInfoCnt()`
`ShardRangeList` `getShardRangeList()`
`ShardSplitMethod` `getShardSplitMethod()`
`ShardKeyDataType` `getShardSubKeyDataType()`
`ShardSplitMethod` `getShardSubSplitMethod()`
`int` `getShardSubValueCount()`
`java.util.List<ShardValueInfo>` `getShardSubValueInfoList()`
`int` `getShardValueCount()`
`java.util.List<ShardValueInfo>` `getShardValueInfoList()`
`boolean` `isCoordQuery()`
`boolean` `isShardSubKeyExists()`
`void` `setShardCanMerge(byte aShardCanMerge)`
`void` `setShardCoordinate(boolean aShardCoordinate)`
`void` `setShardDefaultNodeID(int aShardDefaultNodeID)`
`void` `setShardKeyDataType(ShardKeyDataType aValue)`
`void` `setShardRangeInfo(ShardRangeList aShardRangeList)`
`void` `setShardSplitMethod(ShardSplitMethod aValue)`
`void` `setShardSubKeyDataType(ShardKeyDataType aValue)`
`void` `setShardSubKeyExists(byte aShardSubKeyExists)`
`void` `setShardSubSplitMethod(ShardSplitMethod aValue)`
`void` `setShardSubValueCount(int aValue)`
`void` `setShardValueCount(int aShardValueCount)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmStatementIdResult

`getStatementId, setStatementId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MY_OP

    public static final byte MY_OP

See Also:
  Constant Field Values

### Constructor Detail

#### CmShardAnalyzeResult

    public CmShardAnalyzeResult()

### Method Detail

#### getResultOp

    protected byte getResultOp()

Specified by:
  `getResultOp` in class `CmResult`

#### setShardSplitMethod

    public void setShardSplitMethod(ShardSplitMethod aValue)

#### getShardSplitMethod

    public ShardSplitMethod getShardSplitMethod()

#### setShardKeyDataType

    public void setShardKeyDataType(ShardKeyDataType aValue)

#### getShardKeyDataType

    public ShardKeyDataType getShardKeyDataType()

#### setShardDefaultNodeID

    public void setShardDefaultNodeID(int aShardDefaultNodeID)

#### setShardSubKeyExists

    public void setShardSubKeyExists(byte aShardSubKeyExists)

#### isShardSubKeyExists

    public boolean isShardSubKeyExists()

#### setShardCanMerge

    public void setShardCanMerge(byte aShardCanMerge)

#### setShardValueCount

    public void setShardValueCount(int aShardValueCount)

#### getShardValueCount

    public int getShardValueCount()

#### getShardSubSplitMethod

    public ShardSplitMethod getShardSubSplitMethod()

#### setShardSubSplitMethod

    public void setShardSubSplitMethod(ShardSplitMethod aValue)

#### getShardSubKeyDataType

    public ShardKeyDataType getShardSubKeyDataType()

#### setShardSubKeyDataType

    public void setShardSubKeyDataType(ShardKeyDataType aValue)

#### getShardSubValueCount

    public int getShardSubValueCount()

#### setShardSubValueCount

    public void setShardSubValueCount(int aValue)

#### addShardValue

    public void addShardValue(ShardValueInfo aShardValueInfo)

#### getShardValueInfoList

    public java.util.List<ShardValueInfo> getShardValueInfoList()

#### addShardSubValue

    public void addShardSubValue(ShardValueInfo aShardValueInfo)

#### getShardSubValueInfoList

    public java.util.List<ShardValueInfo> getShardSubValueInfoList()

#### setShardRangeInfo

    public void setShardRangeInfo(ShardRangeList aShardRangeList)

#### getShardRangeList

    public ShardRangeList getShardRangeList()

#### canMerge

    public boolean canMerge()

#### setShardCoordinate

    public void setShardCoordinate(boolean aShardCoordinate)

#### getShardRangeInfoCnt

    public int getShardRangeInfoCnt()

#### getShardDefaultNodeID

    public int getShardDefaultNodeID()

#### isCoordQuery

    public boolean isCoordQuery()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`